---------------------------------------------------------------------------------------------------
Version: 2.7.7
  Changes:
    - Voidcrafting prismite now takes longer on Arcanyx to encourage mining prismite; can be reverted with setting.
---------------------------------------------------------------------------------------------------
Version: 2.7.6
  Changes:
    - Added support for Radicane Algaculture.
    - Reorganized science packs when direct voidcrafting of science packs is allowed.
---------------------------------------------------------------------------------------------------
Version: 2.7.5
  Changes:
    - Fixed error when Crushing Industry's optical fiber is enabled even though glass is not.
    - Made lab icon adjustments more tolerant of modded labs.
---------------------------------------------------------------------------------------------------
Version: 2.7.4
  Changes:
    - Added support for All That Glitters.
    - Factoriopedia now shows technologies for flux/coherence recipes based on their base recipe.
---------------------------------------------------------------------------------------------------
Version: 2.7.3
  Changes:
    - Enabled automatic module categories by default when using Enable All Planet Mods.
    - Made centrifuge tinting code more robust.
---------------------------------------------------------------------------------------------------
Version: 2.7.2
  Changes:
    - Fixed apotheosis chamber not accepting runes.
---------------------------------------------------------------------------------------------------
Version: 2.7.1
  Changes:
    - Added optical fiber voidcrafting technology and recipe for use with Crushing Industry.
    - Added included category to automatic module categories for Panglia.
---------------------------------------------------------------------------------------------------
Version: 2.7.0
  Changes:
    - Added reactor voidcrafting technology.
    - Added exception to automatic module categories for Moshine.
---------------------------------------------------------------------------------------------------
Version: 2.6.3
  Changes:
    - Added support for Everything On Nauvis.
---------------------------------------------------------------------------------------------------
Version: 2.6.2
  Changes:
    - Now supports Scrappy Chemistry even if Scrappy Industry is not installed.
---------------------------------------------------------------------------------------------------
Version: 2.6.1
  Changes:
    - Disables apotheosis if legendary quality tech cannot be found.
---------------------------------------------------------------------------------------------------
Version: 2.6.0
  Changes:
    - Added Scrappy Chemistry support.
    - Fixed load order issue with Krastorio 2.
---------------------------------------------------------------------------------------------------
Version: 2.5.1
  Changes:
    - Fixed error when using Voidcraft Quality Runes.
---------------------------------------------------------------------------------------------------
Version: 2.5.0
  Changes:
    - Added support for Arcanyx.
    - Added apotheosis chamber for use with Arcanyx or Void Block's disgusting slime.
    - Rendered new voidworks graphics.
    - Reorganized recipe order.
    - Fluxcycler is now made from mythril if Iridescent Industry is in use.
    - Turbo transport belts now require an exalted voidworks to voidcraft.
    - Fixed incorrect voidcrafting time for holmium solution.
    - Fixed dangerous biter/pentapod eggs disappearing instead of hatching.
    - Coherence catalyst now works properly without Space Age.
    - More aggressively keeps void runes out of places they shouldn't be.
---------------------------------------------------------------------------------------------------
Version: 2.4.3
  Changes:
    - Added compatibility with mods that change the beacon graphics.
---------------------------------------------------------------------------------------------------
Version: 2.4.2
  Changes:
    - Fixed voidbeacons not being usable without Space Age.
---------------------------------------------------------------------------------------------------
Version: 2.4.1
  Changes:
    - Fixed a bug where "Standard" beacon mode also allowed runes in assembling machines.
---------------------------------------------------------------------------------------------------
Version: 2.4.0
  Changes:
    - Added voidbeacons, allowing runes to be put into beacons. (Based on Eulenberg's Beacon Support for Voidcraft)
---------------------------------------------------------------------------------------------------
Version: 2.3.4
  Changes:
    - Added support for Iridescent Industry's promethium processing.
---------------------------------------------------------------------------------------------------
Version: 2.3.3
  Changes:
    - Fixed incompatibility between Beacon Interface and automatic module categories.
---------------------------------------------------------------------------------------------------
Version: 2.3.2
  Changes:
    - Added support for Beacon Interface.
---------------------------------------------------------------------------------------------------
Version: 2.3.1
  Changes:
    - Fixed ruptured voidvial spoiling during crafting.
---------------------------------------------------------------------------------------------------
Version: 2.3.0
  Changes:
    - Added celestial inverse voidcraft technology.
    - Added additional inverse voidcraft recipes.
    - Added setting to show flux and coherence recipes in Factoriopedia.
---------------------------------------------------------------------------------------------------
Version: 2.2.3
  Changes:
    - Added support for Scrappy Industry's mechanical scrap.
---------------------------------------------------------------------------------------------------
Version: 2.2.2
  Changes:
    - Added rapid void flux generation recipe.
    - Moved Void Block's voidshed into base Voidcraft mod.
    - Fixed minor bugs in flux and coherence API.
---------------------------------------------------------------------------------------------------
Version: 2.2.1
  Changes:
    - Added setting to change how reliable unshaped voidcrafting is.
    - Increased minimum yield of rapid shard crystalization from 15 to 20.
    - Productivity runes are now not allowed for void capture.
    - Added recycling recipes for voidvials.
---------------------------------------------------------------------------------------------------
Version: 2.2.0
  Changes:
    - Added unshaped void capture technology.
    - Added support for Iridescent Industry's iridescent voidworks.
    - Improved primoridial voidforge glow animation.
    - Fixed incorrect weight of primoridial voidforge.
    - Voidcrafting buildings can no longer be made in foundries.
    - Crystal transmutation can now also be done in cryogenic plants.
---------------------------------------------------------------------------------------------------
Version: 2.1.0
  Changes:
    - Added productivity runes, for flux/coherence recipes.
    - Fixed invalid crafting_categories for fluxcycler.
---------------------------------------------------------------------------------------------------
Version: 2.0.6
  Changes:
    - Changed quality runes technology from Voidcraft Quality Runes to require runestone.
    - Added support for Iridescent Industry's crystalline glass.
---------------------------------------------------------------------------------------------------
Version: 2.0.5
  Changes:
    - Added code that attempts to revert unwanted crafting category changes made by other mods.
---------------------------------------------------------------------------------------------------
Version: 2.0.4
  Changes:
    - Separated runestone technology from runes.
    - Runestone now requires burnt prismite if Iridescent Industry is enabled.
    - Added support for Iridescent Industry's safe integration mode.
    - Fixed fluxcycler rune icons and circuit connections.
---------------------------------------------------------------------------------------------------
Version: 2.0.3
  Changes:
    - Changed prismite crushing byproduct from stone to sand.
    - Coherent prismorphing amount is now always 10.
    - Added inventory sounds.
---------------------------------------------------------------------------------------------------
Version: 2.0.2
  Changes:
    - Prismaticatalyzing is removed if other mods provide better alternatives.
    - Now patches the runes from Voidcraft Quality Runes to be consistent with other Voidcraft 2 runes.
    - Fixed recipe notifications sometimes resetting even though they aren't supposed to anymore.
---------------------------------------------------------------------------------------------------
Version: 2.0.1
  Changes:
    - Added coherent prismorphing technology.
    - Fixed an incompatibility with Iridescent Industry's glass.
---------------------------------------------------------------------------------------------------
Version: 2.0.0
  Changes:
    - Added Iridescent Industry support.
    - Added Crushing Industry support.
    - Added voidcrafting technologies and recipes for modules.
    - Runes now produce random products like other voidcraft recipes.
    - Halved effectiveness of efficiency runes. (-10%/-20%/-40%)
    - Added advanced voidcraft recipes for Fulgora.
    - Added carbon fiber voidcraft recipe for Gleba.
    - Added voidification recipes to create void versions of items.
    - Added high inverse voidcraft technology.
    - Added fluxcycler, especially for inverse voidcraft.
    - Added smart rounds from Cupric Asteroids.
    - Changed inverse voidcraft recipes to use one item per craft to avoid locking up fluxcyclers.
    - Added fluxcrafting productivity, which increases productivity of void flux crafting.
    - Renamed prismelting to prismaticatalyzing; prismelting is now a different recipe in Iridescent Industry.
    - Adjusted weights of voidworks to better align with other Space Age buildings.
    - Made coherence recipes visible in Factoriopedia.
    - Changed entropic conjuration recipes to be less random and more useful.
    - Reduced crafting time of asteroids to 45.
    - Reduced crafting time of ice platform to 90.
    - Increased crafting time of holmium plate to 16.
    - Changed coherence catalyst recipe to not always return a catalyst.
    - Renamed prismaticonversion to prismorphing because it sounds better.
    - Increased prismorphing time to 4 seconds, increased void flux requirement to 10, and added randomness.
    - Added void engines to exalted voidworks recipe.
    - Primordial voidforge recipe cost is now a setting, and they are much cheaper by default.
    - Primordial voidforge now no longer allows runes but has a crafting speed of 10.
    - Added prismite remnants when using Scrappy Industry.
    - Fixed Scrappy Industry not generating scrap for atomic bombs.
    - When using Scrappy Industry, coherence recipes can now return prismite scrap.
    - Added voidcraft virtual signal.
    - Fixed recipe notifications resetting every time mod configuration changes.
    - Added setting to not deplete resources.
    - Reduced cost of voidworks electrification technology.
    - Coherence catalyst recipe no longer allows quality.
    - Fixed localization typos.
    - Internal changes for better mod compatibility.
---------------------------------------------------------------------------------------------------
Version: 1.4.19
  Changes:
    - Fixed an error on startup when Space Age is not present.
---------------------------------------------------------------------------------------------------
Version: 1.4.18
  Changes:
    - Fixed an error when a character has no crafting_categories table.
    - Fixed an error when copying icons from a prototype that uses icons rather than icon.
    - If Space Age is active, voidcrafting wood can now randomly result in tree seeds.
    - Support for Scrappy Industry lithium changes.
---------------------------------------------------------------------------------------------------
Version: 1.4.17
  Changes:
    - Added setting to disallow voidcrafting in space.
---------------------------------------------------------------------------------------------------
Version: 1.4.16
  Changes:
    - Added xinfo.midpath to VOIDCRAFT.voidcraft_recipe API.
    - Added VOIDCRAFT.create_auto_groups to API.
---------------------------------------------------------------------------------------------------
Version: 1.4.15
  Changes:
    - Added check for allow_prismite_smelting when updating furnaces.
---------------------------------------------------------------------------------------------------
Version: 1.4.14
  Changes:
    - Scrappy Industry now ignores prismaticatalyzing recipes.
    - Better Scrappy Industry support for prismogenesis.
---------------------------------------------------------------------------------------------------
Version: 1.4.13
  Changes:
    - Scrappy Industry now ignores coherence catalysts.
---------------------------------------------------------------------------------------------------
Version: 1.4.12
  Changes:
    - Added support for Only Nauvis.
    - Updated to use new Scrappy Industry API features.
---------------------------------------------------------------------------------------------------
Version: 1.4.11
  Changes:
    - Fixed productivity not applying to void/coherence recipes.
    - Fixed incorrect Scrappy Industry ratios.
    - Scrappy Industry now ignores voidworks and primordial voidforge recipes.
---------------------------------------------------------------------------------------------------
Version: 1.4.10
  Changes:
    - Added support for Cupric Asteroids.
    - Added support for Scrappy Industry's lithium dust.
---------------------------------------------------------------------------------------------------
Version: 1.4.9
  Changes:
    - Added Scrappy Industry support.
    - Changed default voidtronics to processing unit ratio from 28:1 to 24:1.
    - Added description to coherence catalyst.
    - Added compatibility setting for module categories created by other mods.
---------------------------------------------------------------------------------------------------
Version: 1.4.8
  Changes:
    - Added inverse voidcraft recipe for barrels.
---------------------------------------------------------------------------------------------------
Version: 1.4.7
  Changes:
    - Added voidcrafting technology and recipe for batteries.
    - Fixed broken recycling recipes.
    - Coherence catalyst can now be recycled into orichalcum and carbon.
---------------------------------------------------------------------------------------------------
Version: 1.4.6
  Changes:
    - Added simple recipe to produce a small amount of coherence infusion without prismite.
    - Added recipe to produce increased amount of coherence infusion using a new catalyst item.
    - Fixed incorrect icon offset for atomic bomb.
    - Fixed errors with flux/coherence versions of recipes altered by other mods.
---------------------------------------------------------------------------------------------------
Version: 1.4.5
  Changes:
    - More compatibility with skin mods.
---------------------------------------------------------------------------------------------------
Version: 1.4.4
  Changes:
    - Fixed incorrect steel furnace output inventory.
---------------------------------------------------------------------------------------------------
Version: 1.4.3
  Changes:
    - Reduced crafting time of turbo belt to 180.
---------------------------------------------------------------------------------------------------
Version: 1.4.2
  Changes:
    - Added recipes to convert prismite ore into other ores.
    - Added support for Mikunium.
    - Moved module recipes to the bottom to keep coherence recipes aligned.
---------------------------------------------------------------------------------------------------
Version: 1.4.1
  Changes:
    - Added voidcrafting technology and recipe for uranium-238.
---------------------------------------------------------------------------------------------------
Version: 1.4.0
  Changes:
    - Added efficiency runes.
    - Added voidcrafting recipe for carbon.
    - Primordial voidforge now has four module slots and consumes 2.5 MW.
    - Modified primordial voidforge recipe to yield two primordial voidforges per nuclear reactor.
    - Prismite fuel now gives vehicles 110% top speed.
    - Prismite fuel now requires 1 prismite to craft.
    - Prismite rocket fuel now requires 10 prismite fuel. (These two changes mean the ratio of prismite to rocket fuel remains the same)
    - Fixed recipes with signals that were hidden when they shouldn't be.
    - Made voidworks and voidforge crafting categories consistent.
---------------------------------------------------------------------------------------------------
Version: 1.3.5
  Changes:
    - Fixed incorrect icon being shown for non-coherence recipes.
---------------------------------------------------------------------------------------------------
Version: 1.3.4
  Changes:
    - Greatly reduced electricity consumption of speed runes.
    - Changed voidcraft rocketry recipe to produce more rocket parts and less random junk.
    - Increased inverse voidcrafting result of void shard to 200 void flux.
    - Made coherence infused icons more clear what they actually produce.
    - Reduced crafting time of assembling machine 1 to 60.
    - Reduced crafting time of electric drill to 60.
    - Reduced crafting time of assembling machine 3 to 530.
    - Reduced crafting time of chemical plant to 120.
    - Reduced crafting time of electric furnace to 325.
    - Reduced crafting time of oil refinery to 325.
    - Reduced crafting time of voidworks to 210.
    - Reduced crafting time of greater voidworks to 560.
---------------------------------------------------------------------------------------------------
Version: 1.3.3
  Changes:
    - Added support for Milestones.
    - Added support for advanced centrifuge if Bluetonium is not installed.
    - Moved prismogenesis recipe to a more logical place.
    - Fixed localised flamethrower name not showing up.
---------------------------------------------------------------------------------------------------
Version: 1.3.2
  Changes:
    - Made voidcraft productivity an infinite tech.
---------------------------------------------------------------------------------------------------
Version: 1.3.1
  Changes:
    - Added productivity bonus to flux and coherence versions of recipes.
---------------------------------------------------------------------------------------------------
Version: 1.3.0
  Changes:
    - Refactored code that generates voidcraft recipes.
    - Reduced crafting time of stone brick to 4.
    - Reduced crafting time of concrete to 4.
    - Reduced crafting time of firearm magazine to 8.
    - Reduced crafting time of shotgun shell to 10.
    - Reduced crafting time of piercing rounds magazine to 20.
    - Reduced crafting time of grenade to 20.
    - Reduced crafting time of piercing shotgun shell to 40.
    - Reduced crafting time of cluster grenade to 200.
    - Reduced crafting time of flamethrower ammo to 60.
    - Reduced crafting time of rocket to 12.
    - Reduced crafting time of explosive rocket to 20.
    - Reduced crafting time of cannon shell to 35.
    - Reduced crafting time of explosive cannon shell to 40.
    - Reduced crafting time of uranium rounds magazine to 65.
    - Reduced crafting time of uranium cannon shell to 85.
    - Reduced crafting time of explosive uranium cannon shell to 90.
    - Reduced crafting time of artillery shell to 240.
    - Reduced crafting time of fast underground belt to 300.
    - Reduced crafting time of express belt to 80.
    - Reduced crafting time of express underground belt to 800.
    - Reduced crafting time of express splitter to 420.
    - Reduced crafting time of turbo underground belt to 1800.
    - Reduced crafting time of turbo splitter to 1020.
    - Reduced crafting time of space platform to 200.
    - Reduced crafting time of ice platform to 100.
    - Reduced crafting time of foundation to 240.
    - Reduced crafting time of railgun ammo to 90.
    - Updated void rocket part to match the new icon.
---------------------------------------------------------------------------------------------------
Version: 1.2.3
  Changes:
    - Attempts to not override beacon changes from other mods.
    - Added raw fish to inverse voidcraft recipes.
---------------------------------------------------------------------------------------------------
Version: 1.2.2
  Changes:
    - Fixed incorrect energy_required in Crystal transmutation.
---------------------------------------------------------------------------------------------------
Version: 1.2.1
  Changes:
    - Made it easier for other mods to adjust flux/coherence recipes.
    - Replaced "Prismatic carbonization" with "Crystal transmutation."
---------------------------------------------------------------------------------------------------
Version: 1.2.0
  Changes:
    - Added VoidBlock support.
    - Added additional military technologies.
    - Added technologies for belts and inserters.
    - Added a few other miscellaneous recipes.
    - Added bacteria recipes to Gleba's voidcraft tech.
    - Added scrap recipe to Fulgora's voidcraft tech.
    - Added ice platform recipe to Aquilo's voidcraft tech.
    - Added option to show or hide voidcrafting recipes in signal GUI.
    - Now allows up to 5000 coherence infusion in a recipe.
    - Made some recipe outcomes feel more consistent.
    - Changed Space Age science packs to require space void lore.
    - Small compatibility changes to data-final-fixes.lua.
---------------------------------------------------------------------------------------------------
Version: 1.1.0
  Changes:
    - Added landfill technology.
    - Added Space Age technology to conjure space platform.
    - Added Space Age technology to conjure biter and pentapod eggs.
    - Added Space Age technology to conjure foundation.
    - Added event to compensate for mods that reset technology effects.
    - Tweaked balance of Aquilo recipes.
    - Fixed order of some Space Age items.
---------------------------------------------------------------------------------------------------
Version: 1.0.9
  Changes:
    - Added vc_fix_recipes console command to fix broken recipes.
---------------------------------------------------------------------------------------------------
Version: 1.0.8
  Changes:
    - Removed bright radioactive glow from primoridal voidforge.
    - No longer overwrite VOIDCRAFT table if it already exists.
---------------------------------------------------------------------------------------------------
Version: 1.0.7
  Changes:
    - Updated for 2.0.20.
    - Better support for prismite in modded furnaces.
---------------------------------------------------------------------------------------------------
Version: 1.0.6
  Changes:
    - Fixed thruster technology bug.
    - Revision to groups to group items more logically.
---------------------------------------------------------------------------------------------------
Version: 1.0.5
  Changes:
    - Added compatibility with mods that disable space platforms.
---------------------------------------------------------------------------------------------------
Version: 1.0.4
  Changes:
    - Redid centrifuge tinting to look more like an unmodded centrifuge.
    - Added support for LabIconRevert.
---------------------------------------------------------------------------------------------------
Version: 1.0.3
  Changes:
    - Tried to increase compatibility with modded buildings.
    - Fixed unnecessary modifications to assembling machines.
---------------------------------------------------------------------------------------------------
Version: 1.0.2
  Changes:
    - Fixed issue with modded labs.
---------------------------------------------------------------------------------------------------
Version: 1.0.1
  Changes:
    - Added prismite fuel, and modified prismite rocket fuel recipe accordingly.
    - Fixed minor bugs in building prototypes.
    - Fixed modules in labs hiding new science packs.
---------------------------------------------------------------------------------------------------
Version: 1.0.0
  Changes:
    - Initial release.
